| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/transfrm.h File Reference

Transformation from one coordinate system to another. More...

`#include "csextern.h"`
`#include "csgeom/matrix3.h"`
`#include "csgeom/vector3.h"`

Go to the source code of this file.

## Classes
class | csOrthoTransform
| A class which defines a reversible transformation from one coordinate system to another by maintaining an inverse transformation matrix. More...
class | csReversibleTransform
| A class which defines a reversible transformation from one coordinate system to another by maintaining an inverse transformation matrix. More...
class | csTransform
| A class which defines a transformation from one coordinate system to another. More...

## Detailed Description

Transformation from one coordinate system to another.

Definition in file transfrm.h.